aboutsummaryrefslogtreecommitdiff
path: root/lib/globals.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/globals.sh')
-rw-r--r--lib/globals.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/lib/globals.sh b/lib/globals.sh
index 2d4eaace..53bd9a42 100644
--- a/lib/globals.sh
+++ b/lib/globals.sh
@@ -216,6 +216,12 @@ import_manifest()
esac
component_init $i ${branch:+BRANCH=${branch}} ${revision:+REVISION=${revision}} ${url:+URL=${url}} ${filespec:+FILESPEC=${filespec}} ${srcdir:+SRCDIR=${srcdir}} ${builddir:+BUILDDIR=${builddir}} ${stage1_flags:+STAGE1=\"${stage1_flags}\"} ${stage2_flags:+STAGE2=\"${stage2_flags}\"} ${configure:+CONFIGURE=\"${configure}\"} ${makeflags:+MAKEFLAGS=\"${makeflags}\"} ${static:+STATICLINK=${static}}
+ if [ $? -ne 0 ]; then
+ error "component_init failed while parsing manifest"
+ build_failure
+ return 1
+ fi
+
unset stage1_flags
unset stage2_flags
unset url